<span>Solving for major axis from $xy$ cuts</span>

In the rotated $x^\prime, y^\prime$ co-ordinates, the ellipse has
equation

$$\frac{x^{\prime 2}}{a^2} + \frac{y^{\prime 2}}{b^2} = 1$$

The co-ordinate transformation is given by

$$\begin{pmatrix}
x^\prime \\ y^\prime

= \begin{pmatrix}
\cos\theta& \sin\theta \\ -\sin\theta & \cos\theta

\cdot

\begin{pmatrix}
x \\ y
\end{pmatrix}$$

and so the equation of the rotated ellipse is

$$\frac{(x\cos\theta + y\sin\theta)^2}{a^2}
+\frac{(y\cos\theta - x\sin\theta)^2}{b^2} = 1$$

There is nice desmos interactive graphic
[here](https://www.desmos.com/calculator/42lngkxil6). The [Wolfram page
on ellipses](http://mathworld.wolfram.com/Ellipse.html) spells out the
solution to the ellipse major axis in terms of the general quadratic
form $Ax^2+ 2Bxy+Cy^2 + 2Dx+2Fy+G=0$. Equating this to our locus and
mangling we get the semi-major axis and angle as

$$a = \sqrt{\frac{2(AC-B^2)}
{(B^2-AC)\left[\sqrt{(A-C)^2+4B^2} - (A+C) \right]}} 
\qquad\theta= \frac{1}{2} \cot^{-1} \left(\frac{A-C}{2B} \right)$$

where $A=1/\sigma_x^2$, $C=1/\sigma_y^2$, and $B=2\rho/\sigma_x\sigma_y$
and finally we can use $\Delta x \simeq a \cos\theta$ as a good
approximation to the required interval.
